 ____                                      __         ___                  __                       
/\  _`\                                   /\ \__    /'___\         __     /\ \                      
\ \,\L\_\     ___ ___       __      _ __  \ \ ,_\  /\ \__/  _ __  /\_\    \_\ \      __        __   
 \/_\__ \   /' __` __`\   /'__`\   /\`'__\ \ \ \/  \ \ ,__\/\`'__\\/\ \   /'_` \   /'_ `\    /'__`\ 
   /\ \L\ \ /\ \/\ \/\ \ /\ \L\.\_ \ \ \/   \ \ \_  \ \ \_/\ \ \/  \ \ \ /\ \L\ \ /\ \L\ \  /\  __/ 
   \ `\____\\ \_\ \_\ \_\\ \__/.\_\ \ \_\    \ \__\  \ \_\  \ \_\   \ \_\\ \___,_\\ \____ \ \ \____\
    \/_____/ \/_/\/_/\/_/ \/__/\/_/  \/_/     \/__/   \/_/   \/_/    \/_/ \/__,_ / \/___L\ \ \/____/
                                                                                     /\____/        
                                                                                     \_/__/         

This project is to connect your fridge to a website and keep track of whats inside your fridge an when itll expire.
It uses an api to allow an arduino to hook in by the following format: (all get)

URL: https://localhost/api/scanner?user=&fridge=&barcode=&amount=&expire=


REQUIRED:
user => user_id (format: int - fixed)
fridge => MAC address (format: xx:xx:xx:xx:xx:xx )
barcode => format: int, min=1, max=18) 


OPTIONAL:
amount => (format: int, neg/pos) DEFAULT:  add 1 item
expire => expire date (format: YYYYMMDD)



EXAMPLE:
https:/localhost/api/scanner?barcode=5449000000996&fridge=ac:87:a3:1e:e9:48&user=1&amount=5&expire=20201023


ERRORS:
417 - missing user, mac, barcode or mac_length != 17
422 - wrong length of date (must be 8)
418 - Mac not found
419 - Mac found, but doesn’t belong to given user_id
404 - product for given barcode doesn’t exist
423 - amount can’t be 0
425 - product not in stock
200 - product deleted/removed sucessfully
