<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Carbon;
use App\Models\Stock;
use Illuminate\Database\Eloquent\SoftDeletes;

class Fridge extends Model
{
    use HasFactory;
    use SoftDeletes;

    public function stock()
    {
        return $this->hasMany(Stock::class);
    }

}
