<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="csrf-token" content="{{ csrf_token() }}">

        <title>{{ config('app.name', 'Laravel') }}</title>

        <!-- Fonts -->
        <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Nunito:wght@400;600;700&display=swap">

        <!-- Styles -->
        <link rel="stylesheet" href="{{ mix('css/app.css') }}">

        <!-- Scripts -->
        <script src="{{ mix('js/app.js') }}" defer></script>

    </head>
    <body class="antialiased">
        <form method="get">
            <button class="w-full" formaction="/dashboard" type="submit">
                <div class="relative flex items-center md:items-top justify-center min-h-screen bg-gray-700 dark:bg-gray-900 sm:items-center sm:pt-0">
                    <div class="max-w-8xl xl:max-w-full mx-auto sm:px-6 lg:px-8">
                        <h1 class="text-4xl md:text-6xl lg:text-8xl xl:text-9xl text-white font-bold mx-auto max-w-6xl lg:max-w-full text-left">
                            <span class="text-transparent bg-gradient-to-r bg-clip-text from-blue-500 to-green-500">
                                Smart Fridge add-on
                            </span>
                            <br />
                            <span class="animate-pulse">
                                fridge to the future.
                            </span>
                        </h1>
                    </div>
                </div>
            </button>
        </form>
    </body>
</html>
