<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Scan extends Model
{
    use HasFactory;

    protected $casts = [
        'expire' => 'date',
    ];

    protected $guarded = [];

    public function fridge()
    {
        return $this->hasOne(Fridge::class, 'id', 'fridge_id');
    }

    public function product()
    {
        return $this->hasOne(Product::class, 'id', 'product_id');
    }
}
