<?php $__env->startSection('content'); ?>
<div class="mt-8 p-4 rounded-md" >
    <div class="bg-white">
        <div class="max-w-7xl mx-auto py-12 px-4 sm:px-6 md:py-16 lg:px-8 lg:py-20">
          <h2 class="text-3xl font-extrabold tracking-tight text-gray-900 sm:text-4xl">
            <span class="block">Edit <?php echo e($fridge->name); ?> </span>
            <span class="block text-indigo-600">Change the name and location</span>
          </h2>
          <div class="mt-8 flex">
            <div class="inline-flex rounded-md">
                <form name='test2' action="<?php echo e(route('fridge.update', $fridge->id)); ?>" method="POST" >
                    <?php echo csrf_field(); ?>
                    <?php echo method_field('PUT'); ?>
                    <input class="border-2 rounded-md shadow" type="text" name="name" value="<?php echo e($fridge->name); ?>" placeholder="Name" >
                    <input class="border-2 rounded-md shadow" type="text" name="location" value="<?php echo e($fridge->location); ?>" placeholder="Location" required>
                    <div class="inline-flex items-center shadow justify-center  border border-transparent text-base font-medium rounded-md text-white bg-indigo-600 hover:bg-indigo-700">
                        <button class="py-2 px-5 outline-none" type="submit">Update</button>
                    </div>
                </form>
            </div>
            <?php $__errorArgs = ['name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> <?php echo('<div class="p-2 rounded-md w-max-content bg-opacity-20 bg-red-700 text-red-700">') ?> <?php echo e($message); ?> <?php echo('</div>') ?> <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
            <?php $__errorArgs = ['location'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> <?php echo('<div class="p-2 rounded-md w-max-content bg-opacity-20 bg-red-700 text-red-700">') ?> <?php echo e($message); ?> <?php echo('</div>') ?> <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('pages.layout.base', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/menkeveerman/WebApps/smartfridge/resources/views/fridges/edit.blade.php ENDPATH**/ ?>